Gensprite
Partners

Apply for the partner program

POST
/v1/partners/apply

Authorization

sessionCookie
better-auth.session_token<token>

Browser session, set on .gensprite.ai and sent automatically. Web frontend only.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/partners/apply" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "channelUrl": "http://example.com",    "acceptedTerms": true  }'
{  "property1": null,  "property2": null}